Subject: RE: [PWE3] MPLS PID

From: Shahram Davari <[email-masked]>
Date: Wed, 26 Mar 2003 13:33:17 -0800

>         As far as I can tell, the hashing algorithmS employed by
>most routers are not an IETF standard. In this case, it is clear that
>t is not about supporting a single, proprietary implementation; it is
>about supporting ALL implementations. But if you insist on trying to
>convince the community as you and others unsuccessfully tried to
>in Atlanta to use a standard ECMP algorithm, have fun.

Tweaking IETF standards to try to support all possible proprietary hashing
algorithms is not what I call standards development. What if a vendor decides
to distinguish IP protocol using IP header CRC. Will we now mandate that all encapsulated
protocols should not yield a valid CRC at that specific position in the header? 

>> >>2) OAM flows could use IPv4/V6 null or MPLS Alert label
>> >
>> >         Encased in the PW or just as a label stack?
>>
>>Tunnel Label - PW label - IPV4/6 explicit null. And hash only 
>up to 2nd label.
>
>         What about using the PWE header?
>What if I am using TE/FRR and there are 3 labels and I
>want to hash on all of them?  It sounds to me like you
>again are trying to mandate how I do my hashing algorithm.

No, what I am saying is that the proprietary assumption of using the first nibble to identify IP for hashing key selection should not be the basis for IETF standards.

>
>> >>3) Netmanagment could identify the flow at the ingress.
>> >
>> >         What about the egress?
>>
>>Also egress could identify the flow from bottom label.
>
>         Only if it knew that the bottom label was used
>for an OAM flow or some other application.

Egress always knows what protocol is encapsulated after the bottom label.

-Shahram